#include "StdAfx.h"
#include "TestPlugIn.h"

////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////
//
// BEGIN Test command
//

#pragma region Test command

class CCommandTest : public CRhinoCommand
{
public:
  CCommandTest() = default;
  ~CCommandTest() = default;

  UUID CommandUUID() override
  {
    // {5C335C12-47BC-4673-971F-9D4DB9FD0B93}
    static const GUID TestCommand_UUID =
    { 0x5C335C12, 0x47BC, 0x4673, { 0x97, 0x1F, 0x9D, 0x4D, 0xB9, 0xFD, 0xB, 0x93 } };
    return TestCommand_UUID;
  }
  const wchar_t* EnglishCommandName() override { return L"Test"; }
  CRhinoCommand::result RunCommand(const CRhinoCommandContext& context) override;
};

// The one and only CCommandTest object
static class CCommandTest theTestCommand;

CRhinoCommand::result CCommandTest::RunCommand(const CRhinoCommandContext& context)
{
  RhinoApp().Print(L"%ls plug-in loaded.\n", TestPlugIn().PlugInName());
  return CRhinoCommand::success;
}

#pragma endregion

//
// END Test command
//
////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////
